<?php



$tdataUsers = array();
$tdataUsers[".searchableFields"] = array();
$tdataUsers[".ShortName"] = "Users";
$tdataUsers[".OwnerID"] = "";
$tdataUsers[".OriginalTable"] = "Users";


$tdataUsers[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"list\":[\"list\"],\"search\":[\"search\"]}" );
$tdataUsers[".originalPagesByType"] = $tdataUsers[".pagesByType"];
$tdataUsers[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"list\":[\"list\"],\"search\":[\"search\"]}" ) );
$tdataUsers[".originalPages"] = $tdataUsers[".pages"];
$tdataUsers[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"list\":\"list\",\"search\":\"search\"}" );
$tdataUsers[".originalDefaultPages"] = $tdataUsers[".defaultPages"];

//	field labels
$fieldLabelsUsers = array();
$fieldToolTipsUsers = array();
$pageTitlesUsers = array();
$placeHoldersUsers = array();

if(mlang_getcurrentlang()=="Portuguese(Standard)")
{
	$fieldLabelsUsers["Portuguese(Standard)"] = array();
	$fieldToolTipsUsers["Portuguese(Standard)"] = array();
	$placeHoldersUsers["Portuguese(Standard)"] = array();
	$pageTitlesUsers["Portuguese(Standard)"] = array();
	$fieldLabelsUsers["Portuguese(Standard)"]["coduser"] = "Coduser";
	$fieldToolTipsUsers["Portuguese(Standard)"]["coduser"] = "";
	$placeHoldersUsers["Portuguese(Standard)"]["coduser"] = "";
	$fieldLabelsUsers["Portuguese(Standard)"]["Nome"] = "Nome";
	$fieldToolTipsUsers["Portuguese(Standard)"]["Nome"] = "";
	$placeHoldersUsers["Portuguese(Standard)"]["Nome"] = "";
	$fieldLabelsUsers["Portuguese(Standard)"]["Login"] = "Login";
	$fieldToolTipsUsers["Portuguese(Standard)"]["Login"] = "";
	$placeHoldersUsers["Portuguese(Standard)"]["Login"] = "";
	$fieldLabelsUsers["Portuguese(Standard)"]["Pass"] = "Pass";
	$fieldToolTipsUsers["Portuguese(Standard)"]["Pass"] = "";
	$placeHoldersUsers["Portuguese(Standard)"]["Pass"] = "";
	if (count($fieldToolTipsUsers["Portuguese(Standard)"]))
		$tdataUsers[".isUseToolTips"] = true;
}


	$tdataUsers[".NCSearch"] = true;


	$tdataUsers[".scrollGridBody"] = true;

$tdataUsers[".shortTableName"] = "Users";
$tdataUsers[".nSecOptions"] = 0;

$tdataUsers[".mainTableOwnerID"] = "";
$tdataUsers[".entityType"] = 0;

$tdataUsers[".strOriginalTableName"] = "Users";

	



$tdataUsers[".showAddInPopup"] = true;

$tdataUsers[".showEditInPopup"] = false;

$tdataUsers[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
			;
$popupPagesLayoutNames["add"] = "add";
$tdataUsers[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdataUsers[".listAjax"] = false;
//	temporary
$tdataUsers[".listAjax"] = false;

	$tdataUsers[".audit"] = true;

	$tdataUsers[".locking"] = true;


$pages = $tdataUsers[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdataUsers[".edit"] = true;
	$tdataUsers[".afterEditAction"] = 1;
	$tdataUsers[".closePopupAfterEdit"] = 1;
	$tdataUsers[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdataUsers[".add"] = true;
$tdataUsers[".afterAddAction"] = 1;
$tdataUsers[".closePopupAfterAdd"] = 1;
$tdataUsers[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdataUsers[".list"] = true;
}



$tdataUsers[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdataUsers[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdataUsers[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdataUsers[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdataUsers[".printFriendly"] = true;
}



$tdataUsers[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdataUsers[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdataUsers[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdataUsers[".isUseAjaxSuggest"] = true;

$tdataUsers[".rowHighlite"] = true;



			

$tdataUsers[".ajaxCodeSnippetAdded"] = false;

$tdataUsers[".buttonsAdded"] = false;

$tdataUsers[".addPageEvents"] = false;

// use timepicker for search panel
$tdataUsers[".isUseTimeForSearch"] = false;




$tdataUsers[".allSearchFields"] = array();
$tdataUsers[".filterFields"] = array();
$tdataUsers[".requiredSearchFields"] = array();

$tdataUsers[".googleLikeFields"] = array();
$tdataUsers[".googleLikeFields"][] = "coduser";
$tdataUsers[".googleLikeFields"][] = "Nome";
$tdataUsers[".googleLikeFields"][] = "Login";
$tdataUsers[".googleLikeFields"][] = "Pass";



$tdataUsers[".tableType"] = "list";

$tdataUsers[".printerPageOrientation"] = 0;
$tdataUsers[".nPrinterPageScale"] = 100;

$tdataUsers[".nPrinterSplitRecords"] = 40;

$tdataUsers[".geocodingEnabled"] = false;










$tdataUsers[".pageSize"] = 999;

$tdataUsers[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdataUsers[".strOrderBy"] = $tstrOrderBy;

$tdataUsers[".orderindexes"] = array();

$tdataUsers[".sqlHead"] = "SELECT coduser,  	Nome,  	Login,  	Pass";
$tdataUsers[".sqlFrom"] = "FROM Users";
$tdataUsers[".sqlWhereExpr"] = "";
$tdataUsers[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataUsers[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataUsers[".arrGroupsPerPage"] = $arrGPP;

$tdataUsers[".highlightSearchResults"] = true;

$tableKeysUsers = array();
$tableKeysUsers[] = "coduser";
$tdataUsers[".Keys"] = $tableKeysUsers;


$tdataUsers[".hideMobileList"] = array();




//	coduser
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "coduser";
	$fdata["GoodName"] = "coduser";
	$fdata["ownerTable"] = "Users";
	$fdata["Label"] = GetFieldLabel("Users","coduser");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "coduser";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "coduser";

	
		$fdata["CompatibilityMode"] = true;

				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 143;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

	// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 1;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataUsers["coduser"] = $fdata;
		$tdataUsers[".searchableFields"][] = "coduser";
//	Nome
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "Nome";
	$fdata["GoodName"] = "Nome";
	$fdata["ownerTable"] = "Users";
	$fdata["Label"] = GetFieldLabel("Users","Nome");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "Nome";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Nome";

	
		$fdata["CompatibilityMode"] = true;

				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 143;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

	// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 1;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataUsers["Nome"] = $fdata;
		$tdataUsers[".searchableFields"][] = "Nome";
//	Login
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "Login";
	$fdata["GoodName"] = "Login";
	$fdata["ownerTable"] = "Users";
	$fdata["Label"] = GetFieldLabel("Users","Login");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "Login";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Login";

	
		$fdata["CompatibilityMode"] = true;

				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 143;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

	// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 1;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataUsers["Login"] = $fdata;
		$tdataUsers[".searchableFields"][] = "Login";
//	Pass
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "Pass";
	$fdata["GoodName"] = "Pass";
	$fdata["ownerTable"] = "Users";
	$fdata["Label"] = GetFieldLabel("Users","Pass");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "Pass";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Pass";

	
		$fdata["CompatibilityMode"] = true;

				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 143;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

	// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 1;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataUsers["Pass"] = $fdata;
		$tdataUsers[".searchableFields"][] = "Pass";


$tables_data["Users"]=&$tdataUsers;
$field_labels["Users"] = &$fieldLabelsUsers;
$fieldToolTips["Users"] = &$fieldToolTipsUsers;
$placeHolders["Users"] = &$placeHoldersUsers;
$page_titles["Users"] = &$pageTitlesUsers;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["Users"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["Users"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//


require_once(getabspath("classes/sql.php"));










function createSqlQuery_Users()
{
$proto1=array();
$proto1["m_strHead"] = "SELECT";
$proto1["m_strFieldList"] = "coduser,  	Nome,  	Login,  	Pass";
$proto1["m_strFrom"] = "FROM Users";
$proto1["m_strWhere"] = "";
$proto1["m_strOrderBy"] = "";
	
		;
			$proto1["cipherer"] = null;
$proto3=array();
$proto3["m_sql"] = "";
$proto3["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto3["m_column"]=$obj;
$proto3["m_contained"] = array();
$proto3["m_strCase"] = "";
$proto3["m_havingmode"] = false;
$proto3["m_inBrackets"] = false;
$proto3["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto3);

$proto1["m_where"] = $obj;
$proto5=array();
$proto5["m_sql"] = "";
$proto5["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto5["m_column"]=$obj;
$proto5["m_contained"] = array();
$proto5["m_strCase"] = "";
$proto5["m_havingmode"] = false;
$proto5["m_inBrackets"] = false;
$proto5["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto5);

$proto1["m_having"] = $obj;
$proto1["m_fieldlist"] = array();
						$proto7=array();
			$obj = new SQLField(array(
	"m_strName" => "coduser",
	"m_strTable" => "Users",
	"m_srcTableName" => "Users"
));

$proto7["m_sql"] = "coduser";
$proto7["m_srcTableName"] = "Users";
$proto7["m_expr"]=$obj;
$proto7["m_alias"] = "";
$obj = new SQLFieldListItem($proto7);

$proto1["m_fieldlist"][]=$obj;
						$proto9=array();
			$obj = new SQLField(array(
	"m_strName" => "Nome",
	"m_strTable" => "Users",
	"m_srcTableName" => "Users"
));

$proto9["m_sql"] = "Nome";
$proto9["m_srcTableName"] = "Users";
$proto9["m_expr"]=$obj;
$proto9["m_alias"] = "";
$obj = new SQLFieldListItem($proto9);

$proto1["m_fieldlist"][]=$obj;
						$proto11=array();
			$obj = new SQLField(array(
	"m_strName" => "Login",
	"m_strTable" => "Users",
	"m_srcTableName" => "Users"
));

$proto11["m_sql"] = "Login";
$proto11["m_srcTableName"] = "Users";
$proto11["m_expr"]=$obj;
$proto11["m_alias"] = "";
$obj = new SQLFieldListItem($proto11);

$proto1["m_fieldlist"][]=$obj;
						$proto13=array();
			$obj = new SQLField(array(
	"m_strName" => "Pass",
	"m_strTable" => "Users",
	"m_srcTableName" => "Users"
));

$proto13["m_sql"] = "Pass";
$proto13["m_srcTableName"] = "Users";
$proto13["m_expr"]=$obj;
$proto13["m_alias"] = "";
$obj = new SQLFieldListItem($proto13);

$proto1["m_fieldlist"][]=$obj;
$proto1["m_fromlist"] = array();
												$proto15=array();
$proto15["m_link"] = "SQLL_MAIN";
			$proto16=array();
$proto16["m_strName"] = "Users";
$proto16["m_srcTableName"] = "Users";
$proto16["m_columns"] = array();
$proto16["m_columns"][] = "coduser";
$proto16["m_columns"][] = "Nome";
$proto16["m_columns"][] = "Login";
$proto16["m_columns"][] = "Pass";
$obj = new SQLTable($proto16);

$proto15["m_table"] = $obj;
$proto15["m_sql"] = "Users";
$proto15["m_alias"] = "";
$proto15["m_srcTableName"] = "Users";
$proto17=array();
$proto17["m_sql"] = "";
$proto17["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto17["m_column"]=$obj;
$proto17["m_contained"] = array();
$proto17["m_strCase"] = "";
$proto17["m_havingmode"] = false;
$proto17["m_inBrackets"] = false;
$proto17["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto17);

$proto15["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto15);

$proto1["m_fromlist"][]=$obj;
$proto1["m_groupby"] = array();
$proto1["m_orderby"] = array();
$proto1["m_srcTableName"]="Users";		
$obj = new SQLQuery($proto1);

	return $obj;
}
$queryData_Users = createSqlQuery_Users();


	
		;

				

$tdataUsers[".sqlquery"] = $queryData_Users;

$tableEvents["Users"] = new eventsBase;
$tdataUsers[".hasEvents"] = false;

?>